Package com.sas.lsaf.workflow.task

## Class NotificationTask

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.workflow.element.Element
    - - com.sas.lsaf.workflow.task.Task
      - - com.sas.lsaf.workflow.task.NotificationTask

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class NotificationTask
      extends Task

  The class that represents a job task in a process flow.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.workflow.task.Task

      `Task.Complexity, Task.Priority, Task.TaskStatus`

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.workflow.element.Element

      `Element.ElementType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NotificationTask​(java.lang.String typeId, java.lang.String id, java.lang.String elementId, java.lang.String name, java.lang.String description, Element.ElementType type, ProcessFlowDescriptor.FlowStatus flowStatus, java.lang.String processFlowId, java.util.Date created, java.util.Date started, Task.TaskStatus taskStatus, java.util.List<Attribute> attributes, java.util.Set<Principal> recipients, java.lang.String subject, NotificationTaskSetup.MessagePriority priority, java.lang.String message)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getMessage()` | Gets the message of the notification task.
    `NotificationTaskSetup.MessagePriority` | `getPriority()` | Gets the message priority of the notification task.
    `java.util.Set<Principal>` | `getRecipients()` | Gets the recipients of the notification task.
    `java.lang.String` | `getSubject()` | Gets the subject of the notification task.

    - ### Methods inherited from class com.sas.lsaf.workflow.task.Task

      `getAttributes, getStarted, getTaskStatus, setAttributes`

    - ### Methods inherited from class com.sas.lsaf.workflow.element.Element

      `equals, getCreated, getDescription, getElementId, getFlowStatus, getName, getProcessFlowId, getType, hashCode, setDescription, setName, toString`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotificationTask

          public NotificationTask​(java.lang.String typeId,
                                  java.lang.String id,
                                  java.lang.String elementId,
                                  java.lang.String name,
                                  java.lang.String description,
                                  Element.ElementType type,
                                  ProcessFlowDescriptor.FlowStatus flowStatus,
                                  java.lang.String processFlowId,
                                  java.util.Date created,
                                  java.util.Date started,
                                  Task.TaskStatus taskStatus,
                                  java.util.List<Attribute> attributes,
                                  java.util.Set<Principal> recipients,
                                  java.lang.String subject,
                                  NotificationTaskSetup.MessagePriority priority,
                                  java.lang.String message)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the elements returned by the API.
      Parameters:
        `typeId` - The object type identifier of the element.
        `id` - The unique identifier of the element.
        `elementId` - The identifier of the element as it appears in the process flow definition.
        `name` - The name of the element.
        `description` - The description of the element.
        `type` - The type of the element.
        `flowStatus` - The status of the process flow that contains the element.
        `processFlowId` - The process flow identifier that contains the element.
        `created` - The date on which the element was created.
        `started` - The date on which the element was started.
        `taskStatus` - The status of the element.
        `attributes` - The extended attributes of the element.
        `recipients` - The recipients of the notification.
        `subject` - The subject of the notification.
        `priority` - The priority of the notification.
        `message` - The message text of the notification.

  - ### Method Detail

    - #### getRecipients

          public java.util.Set<Principal> getRecipients()

      Gets the recipients of the notification task.
      Returns:
        The recipients.

    - #### getSubject

          public java.lang.String getSubject()

      Gets the subject of the notification task.
      Returns:
        The subject.

    - #### getMessage

          public java.lang.String getMessage()

      Gets the message of the notification task.
      Returns:
        The message.

    - #### getPriority

          public NotificationTaskSetup.MessagePriority getPriority()

      Gets the message priority of the notification task.
      Returns:
        The message priority.